# Uses of Class
org.eclipse.jface.text.DocumentCommand

Packages that use DocumentCommand
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of DocumentCommand in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type DocumentCommand
Modifier and Type
Method
Description
`void`
DefaultIndentLineAutoEditStrategy.`customizeDocumentCommand(IDocument d, DocumentCommand c)`
`void`
IAutoEditStrategy.`customizeDocumentCommand(IDocument document, DocumentCommand command)`
Allows the strategy to manipulate the document command.
`void`
SurroundWithBracketsStrategy.`customizeDocumentCommand(IDocument document, DocumentCommand command)`
`void`
TabsToSpacesConverter.`customizeDocumentCommand(IDocument document, DocumentCommand command)`
`protected void`
TextViewer.`customizeDocumentCommand(DocumentCommand command)`
Hook called on receipt of a `VerifyEvent`.